spring

struts2+hibernate4+spring4整合开发

前话

首先说的一点是,me 是个菜鸟;其次要说的一点是,hibernate 和 spring 这些框架可能不会向前兼容,所以很多各种书籍上说的例子,使用同样的版本就算了,使用最新的版本它可能就跑不通,当然使用的 jar 包甚至 u 发现“肿么没有” !最后的一点是,me 只是按 me 的想法跑通了一个最新版本的 struts 2.3.15 + hibernate 4.2.3 + spring 4.0.0,而且只是一个简单的 demo,所以并不涉及很高级的操作和框架详细的用法,比如事务、日志、包的依赖管理等等。me 使用的设计,也是按照 me 以前的想法(当然这种想法来自于各种书籍和以前的项目经验)来实现的,可能不是“标准的”用法。